@import url('https://fonts.googleapis.com/css2?family=Kanit&family=Rubik+80s+Fade&family=Seymour+One&display=swap');

* {
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: 'Kanit', sans-serif;
}

/* body style start */

body{
    background-color: #010101;
}

::-webkit-scrollbar {
    width: 2px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px rgb(0, 0, 0);
}

::-webkit-scrollbar-thumb {
    background: rgb(0, 0, 0);
}

/* body style end */

.scroll-top {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    position: fixed;
    bottom: 800px;
    right: 20px;
    width: 50px;
    height: 50px;
    background: #c21a65;
    cursor: pointer;
    z-index: 100;
    opacity: 0;
    transition: .5s;
}

.scroll-top.active {
    opacity: 1;
    bottom: 40px;
}

.scroll-top .icon {
    color: #fff;
    font-size: 2rem;
}


/* nav bar section start */

#nav-bar {
    width: 100%;
    height: 10vh;
    background: #010101;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#nav-bar .nav-bar-heading {
    font-size: 1.5rem;
    margin-left: 50px;
    letter-spacing: 1px;
    color: #fff;
}

#nav-bar .hamburger{
    display: none;
}

#nav-bar ul {
    margin-right: 20px;
}

#nav-bar ul a {
    text-decoration: none;
    color: #fff;
    font-size: .7rem;
    margin-left: 10px;
    font-weight: bold;
    letter-spacing: 1px;
    transition: .2s;
}

#nav-bar ul  .active{
    color: #c21a65;
}

#nav-bar ul a:hover{
    color: #c21a65;
    font-size: .8rem;
}

/* nav bar section end */

/* home page section start */

#home {
    position: relative;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url("https://ik.imagekit.io/lah6sw8ky/Portfolio_stuff/home_page.jpeg?updatedAt=1732805324082");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: #fff;
}

#home .home-content .home-content-text-1{
    position: absolute;
    width: max-content;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#home .home-content .home-content-text-1 span{
    display: inline-block;
    font-size: 5rem;
    font-weight: bold;
    color: #fff;
    transform: translateY(700px) scale(0);
    transition: transform .5s, opacity .5s;
    opacity: 0;
    letter-spacing: 3px;
}

#home .home-content .home-content-text-1 span.active{
    transform: translateY(-85px)  scale(1);
    opacity: 1;
}

#home .home-content .home-content-text-2 {
    font-size: 2.5rem;
    letter-spacing: 1px;
    -webkit-text-stroke: 1px;
    -webkit-text-stroke-color: rgba(255, 255, 255, .7);
    color: transparent;
}

#home .home-content .home-content-text-3 {
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 800;
    margin-bottom: 10px;
}

#home .home-content a {
    color: #c21a65;
    font-size: .7rem;
    letter-spacing: 1px;
    font-weight: 800;
    padding: 6px 15px;
    text-decoration: none;
    border-radius: 8px;
    background: #fff;
    cursor: pointer;
}

/* home page section end */

/* info section start */



#info-area{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
    background: #010101;
    color: #fff;
}

.scrollonganimation{
    opacity: 0;
    transform: translateY(-20%);
    transition: all 1.5s;
}

.show{
    opacity: 1;
    transform: translateX(0%);
}

#info-area .info-container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    max-width: 90%;
}

#info-area .info-text-1{
    font-size: 7rem;
    letter-spacing: 2px;
    transition: .5s;
}

#info-area .info-text-1:hover{
    color: #c21a65;
}

#info-area .info-text-1 span{
    color: #c21a65;
    font-size: 2rem;
    transition: .5s;
}

#info-area .info-text-1:hover span{
    color: #fff;
}

#info-area .info-para-1{
    font-size: 1.8rem;
    text-align: center;
}

#info-area .info-para-2{
    font-size: 1.2rem;
    width: 80%;
    text-align: center;
}

#info-area .info-para-2 .info-para-2-span-1{
    position: absolute;
    left: 0;
    top: -50px;
    font-size: 2rem;
    transition: .5s;
}

#info-area .info-para-2 .info-para-2-span-2{
    position: absolute;
    right: 0;
    bottom: -50px;
    font-size: 2rem;
    transition: .5s;
}

#info-area .info-para-2 .info-para-2-span-1:hover{
    color: #c21a65;
}

#info-area .info-para-2 .info-para-2-span-2:hover{
    color: #c21a65;
}

#info-area .social-icon .info-icon{
    font-size: 2.5rem;
    margin-top: 15px;
    margin-left: 8px;
    transition: .5s;
    color: #fff;
}

#info-area .social-icon .info-icon:hover{
    color: #c21a65;
    font-size: 5rem;
}


/* info section end */

/* services page start */

#services {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: #fff;
    background: #010101;
}

#services .content-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
    gap: 20px;

}

#services .service-text-1 {
    font-size: 4rem;
    text-transform: uppercase;
}

#services .service-text-1 span {
    color: #c21a65;
    font-size: 3.5rem;
}

#services .service-para-1 {
    text-align: center;
    margin-bottom: 20px;
    width: 60%;
}

#services .content-area {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
}

#services .content-area .service {
    margin: 20px;
    background: #222;
    height: 400px;
    width: 300px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0px 10px;
    text-align: center;
    overflow: hidden;
    border: 1px solid #f9f9f93b;
}

#services .content-area .service .services-icon {
    font-size: 3rem;
    padding: 20px;
    border: 1px solid #ffffff;
    transition: .5s;
}

#services .content-area .service:hover .services-icon {
    background: #fff;
    color: #222;
    box-shadow: 0px 0px 0px 300px #c21a65;
    border: none;
}

#services .content-area .service .services-icon:hover{
    background: #222;
    color: #fff;
}

#services .content-area .service h2 {
    margin-top: 5px;
    letter-spacing: 1px;
}

#services .content-area .service p {
    margin: 10px 0px;
    letter-spacing: 1px;
}

#services .content-area .service a {
    margin-top: 10px;
    padding: 8px 15px;
    border: 1px solid #ffffff;
    border-radius: 5px;
    text-decoration: none;
    color: #fff;
    transition: 1s;
    font-weight: 800;
}

#services .content-area .service:hover a {
    background: #fff;
    color: #222;
    border: none;
}

#services .content-area .service a:hover {
    background: #222;
    color: #fff;
}

/* services page end */

/* skills page start */

#skill-area{
    background: #010101;
    min-height: 120vh;
    position: relative;
    max-width: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#skill-area .st-content{
    width: 90%;
    color: #fff;
    margin: 50px 0px;
}

#skill-area .st-content h2{
    font-size: 5rem;
    text-align: left;
    transition: .4s;
    letter-spacing: 1px;
}

#skill-area .st-content h2:hover{
    color: #c13071;
}

#skill-area .skill-boxes{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
}

#skill-area #container{
    max-width: 100%;
    width: 550px;
    padding: 20px;
}

#skill-area #container .container-text{
    color: #fff;
    width: 100%;
    text-align: center;
}

#skill-area #container .container-text span{
    color: #c21a65;
}

#skill-area #container .skills{
    width: 100%;
    max-width: 550px;
    padding: 0 20px;
    cursor: pointer;
}

#skill-area #container .skill-name{
    font-size: 20px;
    font-weight: 700;
    letter-spacing: 2px;
    color: #fff;
    margin: 35px 0;
}

#skill-area #container .skill-bar{
    height: 15px;
    background: #282828;
    border-radius: 4px;
}

#skill-area #container .skill-pre{
    height: 15px;
    background: #c21a65;
    border-radius: 4px;
    position: relative;
    animation: fillbar 5s ;
    margin-top: 5px;
}


@keyframes fillbar {

    0%{
        width: 0;
    }

    100%{
        width: 100%;
    }

}

#skill-area #container .skill-pre:before{
    content: attr(per);
    position: absolute;
    padding: 4px 6px;
    background: #fff;
    color: black;
    border-radius: 4px;
    font-size: 14px;
    top: -35px;
    right: 0;
    transform: translateX(50%);
}

#skill-area #container-2{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 20px;
    flex-wrap: wrap;
    font-size: 1.6rem;
    height: 600px;
    max-width: 95%;
    width: 500px;
    border-radius: 2px;
}

#skill-area #container-2 .container-2-text{
    color: #fff;
    font-size: 1.5rem;
    width: 100%;
    text-align: center;
}

#skill-area #container-2 .container-2-text span{
    color: #c21a65;
}


#skill-area #container-2 .box{
    /* background: #fff; */
    border-radius: 3px;
    width: 200px;
    padding: 10px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#skill-area #container-2 .box h2{
    color: #fff;
    font-size: 1rem;
    line-height: 50px;
}

#skill-area #container-2 .box .circular-progress{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 150px;
    height: 150px;
    background: conic-gradient(#c21a65 3.6deg, #ededed 0deg);
    border-radius: 50%;
    color: #fff;
}

#skill-area #container-2 .box .circular-progress::before{
    content: '';
    position: absolute;
    width: 125px;
    height: 125px;
    border-radius: 50%;
    background-color: #000;
}

#skill-area #container-2 .box .progress-value{
    position: relative;
    font-size: 1.5rem;
    font-weight: bold;
}

/* skills page end */

/* project page start */

#project{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 150vh;
    flex-direction: column;
}

#project .p-head{
    text-align: left;
    color: #fff;
    width: 90%;
}

#project .p-head h2{
    font-size: 5rem;
    letter-spacing: 1px;
    transition: .5s;
}

#project .p-head h2:hover{
    color: #c21a65;
}

#project .p-head p{
    text-align: justify;
    margin: 10px 0px;
}

.swiper{
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    background: #fff;
    transition: 1s;
    cursor: pointer;
    max-width: 90%;
    width: 1000px;
    height: 500px;
    margin-top: 30px;
  }
  
  .swiper-slide {
    position: relative;
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    /* flex-direction: column; */
  }
  
  .swiper-slide .container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0px 70px;
    position: absolute;
    top: 0px;
    right: 0px;
    color: transparent;
    background: rgba(99, 99, 99, 0.2);
    width: 100%;
    height: 100%;
    transition: .5s;
  }

  .swiper-slide .container h1{
    font-size: 3rem;
    letter-spacing: 2px;
    text-transform: uppercase;
  }
  
  .swiper-slide .container:hover{
    width: 100%;
    height: 100%;
    color: #fff;
    background: rgba(0, 0, 0, .6);
  }
  
  .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

/* project page end */


/* contact page start */

    #contact{
        min-height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        color: #fff;
    }

    #contact .container{
        width: 90%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 20px;
        flex-wrap: wrap;
        background: #222;
        padding: 40px 0px;
        border-radius: 4px;
        box-shadow: rgba(255, 255, 255, 0.1) 0px 4px 12px;
        margin: 20px 0px;
    }

    #contact .container h2{
        font-size: 3rem;
        width: 100%;
        text-align: center;
        letter-spacing: 1px;
    }

    #contact .container img{
        border: 4px solid #c21a65;
        padding: 5px;
        width: 250px;
        border-radius: 50%;
    }

    #contact .container .c-icon{
        font-size: 2.5rem;
        margin-top: 5px;
        margin-left: 8px;
        transition: .5s;
        color: #fff;
    }
    
    #contact .container .c-icon:hover{
        color: #c21a65;
        font-size: 3.5rem;
    }

/* contact page end */

/* footer section start */

    #footer{
        min-height: 10vh;
        background: #222;
        display: flex;
        justify-items: center;
        align-content:center ;
        width: 100%;
        color: #fff;
    }

    #footer .container{
        display: flex;
        justify-content:space-between;
        align-items: center;
        width: 100%;
    }

    #footer .container .fcb-1{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
        margin-left: 20px;
    }

    #footer .container .fcb-1 h2{
        font-size: 1.2rem;
        letter-spacing: 1px;
        font-weight: 500;
    }

    #footer .container .fcb-1 span{
        height: 40px;
        background: #fff;
        position: relative;
        width: 1px;
    }

    #footer .container .fcb-1 h3{
        font-size: .8rem;
    }

    #footer .container .fcb-1 img{
        width: 50px;
        border-radius: 50%;
    }

    #footer .container .fcb-2 .f-icon{
        font-size: 1.5rem;
        margin-top: 5px;
        margin-right: 8px;
        transition: .5s;
        color: #fff;
    }

    #footer .container .fcb-2 .f-icon:hover{
        color: #c21a65;
    }

/* footer section end */